/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package soxtest;

import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JButton;
import javax.swing.JFrame;

/**
 *
 * @author dienert
 */
public class Sox extends JFrame implements ActionListener {

    Runtime rt = Runtime.getRuntime();
    Process p;
    Process pidOfPlay;
    Process kill;
    String[] pidString;
    int pid;

    public void actionPerformed(ActionEvent ae) {
        String command = ae.getActionCommand();
        if (command.equals("start")) {
            try {
                System.out.println("start gedrueckt");
                String[] cmd = new String[2];
                cmd[0] = "/usr/bin/play";
                cmd[1] = "/tmp/sfhm.m4a";
                p = rt.exec(cmd);
                pidOfPlay = rt.exec("pidof play");
                BufferedReader strom =
                        new BufferedReader(
                        new InputStreamReader(
                        pidOfPlay.getInputStream()));
                pidString = strom.readLine().split(" ");
                System.out.println("pid:" + pidString[0]);
            } catch (Exception ex) {
                ex.printStackTrace();
            }
        }else if(command.equals("halt")){
            System.out.println("halt gedrueckt");
            try {
                kill = rt.exec("kill -stop "+pidString[0]);
            } catch (IOException ex) {
                ex.printStackTrace();
            }
        }else if(command.equals("weiter")){
            System.out.println("weiter gedrueckt");
            try {
                kill = rt.exec("kill -cont "+pidString[0]);
            } catch (IOException ex) {
                ex.printStackTrace();
            }
        } else if (command.equals("stop")) {
            System.out.println("stop gedrueckt");
            try {
                p.destroy();
            } catch (Exception ex) {
                ex.printStackTrace();
            }
        }
    }

    public Sox(String title) {
        this.setTitle(title);
        this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        this.setSize(600, 400);

        Container contentPane = this.getContentPane();
        contentPane.setLayout(new BorderLayout());

        JButton start = new JButton("start");
        start.addActionListener(this);

        JButton stop = new JButton("stop");
        stop.addActionListener(this);


        JButton halt = new JButton("halt");
        halt.addActionListener(this);

        JButton weiter = new JButton("weiter");
        weiter.addActionListener(this);

        contentPane.add(start, BorderLayout.NORTH);
        contentPane.add(stop, BorderLayout.SOUTH);
        contentPane.add(halt, BorderLayout.WEST);
        contentPane.add(weiter, BorderLayout.EAST);

        this.setVisible(true);
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        new Sox("soxtest");
    }
}
